Name: duplicity
Version: 3.0.4.1
Release: alt1

Summary: Untrusted/encrypted backup using rsync algorithm

Group: Archiving/Backup
Url: https://gitlab.com/duplicity/duplicity
License: GPLv2

# Source-url: https://gitlab.com/duplicity/duplicity/-/archive/rel.%version/duplicity-rel.%version.tar.bz2
Source: %name-%version.tar

AutoProv:no

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-build-intro
BuildRequires: python3-devel python3-module-setuptools
BuildRequires: python3(setuptools_scm)
BuildRequires: librsync-devel

# No required by default (Dropbox)
%add_python3_req_skip dropbox
# No required by default (OpenStack)
%add_python3_req_skip pyrax
# No required by default (box)
%add_python3_req_skip boxsdk

Requires: gnupg

# for check
# generated by 'epm restore --dry-run' from duplicity/setup.py install_requires
BuildRequires: gnupg
%py3_use fasteners

%description
Duplicity incrementally backs up files and directory by encrypting
tar-format volumes with GnuPG and uploading them to a remote (or
local) file server.  In theory many remote backends are possible;
right now local, ssh/scp, ftp, and rsync backends are written.
Because duplicity uses librsync, the incremental archives are space
efficient and only record the parts of files that have changed since
the last backup.  Currently duplicity supports deleted files, full
unix permissions, directories, symbolic links, fifos, etc., but not
hard links.

%prep
%setup

%build
%python3_build_debug

%install
%python3_install
rm -v %buildroot%python3_sitelibdir/%name/backends/_testbackend.py

%find_lang %name

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
# check VersionedCopy in setup.py
%buildroot%_bindir/duplicity -V | grep "%version"

%files -f %name.lang
%doc CHANGELOG.md README*
#%_bindir/rdiffdir
%_bindir/duplicity
%_man1dir/*
%python3_sitelibdir/%name/
%python3_sitelibdir/%name-*.egg-info

%changelog
* Fri May 23 2025 Vitaly Lipatov <lav@altlinux.ru> 3.0.4.1-alt1
- new version 3.0.4.1 (with rpmrb script)

* Sun Jan 05 2025 Grigory Ustinov <grenka@altlinux.org> 2.2.3-alt1.1
- NMU: drop unnessesary dependency on future.

* Sat Apr 06 2024 Vitaly Lipatov <lav@altlinux.ru> 2.2.3-alt1
- new version 2.2.3 (with rpmrb script)

* Mon Feb 19 2024 Vitaly Lipatov <lav@altlinux.ru> 2.2.1-alt1
- new version 2.2.1 (with rpmrb script)
- no more rdiffdir binary

* Fri Jun 30 2023 Vitaly Lipatov <lav@altlinux.ru> 1.2.3-alt1
- new version 1.2.3 (with rpmrb script)

* Sun Apr 23 2023 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt2
- change Source URL to get release tarball (fix issue with duplicity version)
- add check for version

* Sun Apr 23 2023 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt1
- new version 1.2.2 (with rpmrb script)

* Tue Jun 07 2022 Vitaly Lipatov <lav@altlinux.ru> 0.8.23-alt1
- new version 0.8.23 (with rpmrb script)

* Sun Jan 23 2022 Vitaly Lipatov <lav@altlinux.ru> 0.8.21-alt1
- new version 0.8.21 (with rpmrb script)

* Tue Jul 06 2021 Vitaly Lipatov <lav@altlinux.ru> 0.8.20-alt1
- new version 0.8.20 (with rpmrb script)

* Wed Feb 24 2021 Vitaly Lipatov <lav@altlinux.ru> 0.8.18-alt1
- new version 0.8.18 (with rpmrb script)

* Sun Nov 01 2020 Vitaly Lipatov <lav@altlinux.ru> 0.8.16-alt1
- new version 0.8.16 (with rpmrb script)

* Fri Oct 30 2020 Vitaly Lipatov <lav@altlinux.ru> 0.8.15-alt1
- new version 0.8.15 (with rpmrb script)
- switch to python3, cleanup spec, update upstream URL

* Mon May 06 2019 Vitaly Lipatov <lav@altlinux.ru> 0.7.19-alt1
- new version 0.7.19 (with rpmrb script)

* Sat Nov 03 2018 Vitaly Lipatov <lav@altlinux.ru> 0.7.18.2-alt1
- new version 0.7.18.2 (with rpmrb script)

* Wed Sep 05 2018 Vitaly Lipatov <lav@altlinux.ru> 0.7.18.1-alt1
- new version 0.7.18.1 (with rpmrb script)

* Wed Aug 29 2018 Vitaly Lipatov <lav@altlinux.ru> 0.7.18-alt1
- new version 0.7.18 (with rpmrb script)

* Sun Mar 11 2018 Vitaly Lipatov <lav@altlinux.ru> 0.7.17-alt1
- new version 0.7.17 (with rpmrb script)

* Wed Feb 07 2018 Vitaly Lipatov <lav@altlinux.ru> 0.7.16-alt1
- new version 0.7.16 (with rpmrb script)

* Sat Dec 09 2017 Vitaly Lipatov <lav@altlinux.ru> 0.7.15-alt1
- new version 0.7.15 (with rpmrb script)

* Sat Oct 07 2017 Vitaly Lipatov <lav@altlinux.ru> 0.7.14-alt1
- new version 0.7.14 (with rpmrb script)

* Sat Jul 22 2017 Vitaly Lipatov <lav@altlinux.ru> 0.7.13.1-alt1
- new version 0.7.13.1 (with rpmrb script)

* Fri Jun 23 2017 Vitaly Lipatov <lav@altlinux.ru> 0.7.13-alt1
- new version 0.7.13 (with rpmrb script)

* Tue May 09 2017 Vitaly Lipatov <lav@altlinux.ru> 0.7.12-alt1
- new version 0.7.12 (with rpmrb script)

* Sun Jan 08 2017 Vitaly Lipatov <lav@altlinux.ru> 0.7.11-alt1
- new version 0.7.11 (with rpmrb script)

* Sat Sep 24 2016 Vitaly Lipatov <lav@altlinux.ru> 0.7.10-alt1
- new version 0.7.10 (with rpmrb script)

* Fri Aug 05 2016 Vitaly Lipatov <lav@altlinux.ru> 0.7.09-alt1
- new version 0.7.09 (with rpmrb script)

* Tue Jul 26 2016 Vitaly Lipatov <lav@altlinux.ru> 0.7.08-alt1
- new version 0.7.08 (with rpmrb script)

* Fri Apr 22 2016 Vitaly Lipatov <lav@altlinux.ru> 0.7.07.1-alt1
- new version 0.7.07.1 (with rpmrb script)

* Sat Jan 02 2016 Vitaly Lipatov <lav@altlinux.ru> 0.7.06-alt1
- new version 0.7.06 (with rpmrb script)

* Sat Oct 17 2015 Vitaly Lipatov <lav@altlinux.ru> 0.7.05-alt1
- new version (0.7.05) with rpmgs script

* Sat Aug 15 2015 Vitaly Lipatov <lav@altlinux.ru> 0.7.04-alt1
- new version 0.7.04 (with rpmrb script)

* Tue Sep 02 2014 Vitaly Lipatov <lav@altlinux.ru> 0.6.24-alt1
- new version 0.6.24 (with rpmrb script)

* Sat Oct 12 2013 Vitaly Lipatov <lav@altlinux.ru> 0.6.22-alt1
- new version 0.6.22 (with rpmrb script) (ALT bug #28842)

* Sat Aug 03 2013 Vitaly Lipatov <lav@altlinux.ru> 0.6.21-alt1
- new version 0.6.21 (with rpmrb script)

* Mon Apr 16 2012 Vitaly Kuznetsov <vitty@altlinux.ru> 0.6.17-alt1.1
- Rebuild to remove redundant libpython2.7 dependency

* Fri Dec 02 2011 Vladimir V. Kamarzin <vvk@altlinux.org> 0.6.17-alt1
- 0.6.17

* Sat Oct 22 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.6.13-alt1.1
- Rebuild with Python-2.7

* Mon May 23 2011 Vladimir V. Kamarzin <vvk@altlinux.org> 0.6.13-alt1
- 0.6.13

* Fri Mar 19 2010 Denis Klimov <zver@altlinux.org> 0.6.08b-alt1
- new version
- added async download volumes patch

* Fri Jan 29 2010 Denis Klimov <zver@altlinux.org> 0.6.06-alt1
- new version

* Thu Nov 12 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.05-alt1.1
- Rebuilt with python 2.6

* Sat Sep 19 2009 Denis Klimov <zver@altlinux.org> 0.6.05-alt1
- new version
- remove needless -q param for setup macros
- use find_lang macros

* Mon Jul 07 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4.11-alt1
- new version 0.4.11 (with rpmrb script)
- add rpm-build-compat >= 2 buildreq

* Tue Apr 29 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4.10-alt1
- new version 0.4.10 (with rpmrb script)

* Tue Jan 08 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4.9-alt1
- new version 0.4.9
- fix lib files packing
- remove COPYING, fix build/install commmands

* Fri Dec 21 2007 Vitaly Lipatov <lav@altlinux.ru> 0.4.8-alt1
- new version 0.4.8 (with rpmrb script)

* Sat Nov 03 2007 Vitaly Lipatov <lav@altlinux.ru> 0.4.3-alt1
- change mantainer, cleanup spec
- new version 0.4.3 (with rpmrb script)

* Wed May 17 2006 Alex V. Myltsev <avm@altlinux.ru> 0.4.2-alt0.1
- Initial build for Sisyphus

* Sat Aug 09 2003 Ben Escoto <bescoto@stanford.edu>
- Repackaging for Fedora
- autodetect python version
- require librsync >=0.9.6
* Sun Aug 30 2002 Ben Escoto <bescoto@stanford.edu>
- Initial RPM

